---
title: column-rule-style
slug: Web/CSS/column-rule-style
tags:
  - CSS
  - CSS Multi-column Layout
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{ CSSRef}}</div>

<p>The <strong><code>column-rule-style</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the style of the line drawn between columns in a multi-column layout.</p>

<div>{{EmbedInteractiveExample("pages/css/column-rule-style.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;'border-style'&gt; values */
column-rule-style: none;
column-rule-style: hidden;
column-rule-style: dotted;
column-rule-style: dashed;
column-rule-style: solid;
column-rule-style: double;
column-rule-style: groove;
column-rule-style: ridge;
column-rule-style: inset;
column-rule-style: outset;

/* Global values */
column-rule-style: inherit;
column-rule-style: initial;
column-rule-style: unset;
</pre>

<p>The <code>column-rule-style</code> property is specified as a single <code>&lt;'border-style'&gt;</code> value.</p>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>&lt;'border-style'&gt;</code></dt>
	<dd>Is a keyword defined by {{ cssxref("border-style") }} describing the style of the rule. The styling must be interpreted as in the collapsing border model.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_dashed_column_rule">Setting a dashed column rule</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;This is a bunch of text split into three columns.
   The `column-rule-style` property is used to change
   the style of the line that is drawn between columns.
   Don't you think that's wonderful?&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  column-count: 3;
  column-rule-style: dashed;
}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Setting_a_dashed_column_rule') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('CSS3 Multicol', '#crs', 'column-rule-style') }}</td>
			<td>{{ Spec2('CSS3 Multicol') }}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.column-rule-style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Learn/CSS/CSS_layout/Multiple-column_Layout">Multiple-column Layout</a></li>
	<li>{{CSSXref("column-rule")}}</li>
	<li>{{CSSXref("column-rule-width")}}</li>
	<li>{{CSSXref("column-rule-color")}}</li>
</ul>
